Tuesday, August 16News That Matters

Can not install sqlite3 on my Mac using Node v14.19.0 

node-pre-gyp WARN Using request for node-pre-gyp https download
node-pre-gyp WARN Pre-built binaries not installable for sqlite3@5.0.11 and node@14.19.0 (node-v83 ABI, unknown) (falling back to source compile with node-gyp)
node-pre-gyp WARN Hit error connect ETIMEDOUT 140.82.114.4:443
CC(target) Release/obj.target/nothing/node_modules/node-addon-api/nothing.o
LIBTOOL-STATIC Release/nothing.a
env: python: No such file or directory
make: *** [Release/nothing.a] Error 127
gyp ERR! build error
gyp ERR! stack Error: make failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/lib/node_modules/npm/node_modules/node-gyp/lib/build.js:194:23)
gyp ERR! stack at ChildProcess.emit (events.js:400:28)
gyp ERR! stack at Process.ChildProcess._handle.onexit (internal/child_process.js:282:12)
gyp ERR! System Darwin 21.6.0
gyp ERR! command “/usr/local/bin/node” “/usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js” “build” “–fallback-to-build” “–module=/Users/cxho3/Sandbox/service-virtualization-framework/node_modules/sqlite3/lib/binding/napi-v6-darwin-unknown-x64/node_sqlite3.node” “–module_name=node_sqlite3” “–module_path=/Users/cxho3/Sandbox/service-virtualization-framework/node_modules/sqlite3/lib/binding/napi-v6-darwin-unknown-x64” “–napi_version=8” “–node_abi_napi=napi” “–napi_build_version=6” “–node_napi_label=napi-v6”
gyp ERR! cwd /Users/cxho3/Sandbox/service-virtualization-framework/node_modules/sqlite3
gyp ERR! node -v v14.19.0
gyp ERR! node-gyp -v v5.1.0
gyp ERR! not ok
node-pre-gyp ERR! build error
node-pre-gyp ERR! stack Error: Failed to execute ‘/usr/local/bin/node /usr/local/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js build –fallback-to-build –module=/Users/cxho3/Sandbox/service-virtualization-framework/node_modules/sqlite3/lib/binding/napi-v6-darwin-unknown-x64/node_sqlite3.node –module_name=node_sqlite3 –module_path=/Users/cxho3/Sandbox/service-virtualization-framework/node_modules/sqlite3/lib/binding/napi-v6-darwin-unknown-x64 –napi_version=8 –node_abi_napi=napi –napi_build_version=6 –node_napi_label=napi-v6’ (1)
node-pre-gyp ERR! stack at ChildProcess. (/Users/cxho3/Sandbox/service-virtualization-framework/node_modules/node-pre-gyp/lib/util/compile.js:83:29)
node-pre-gyp ERR! stack at ChildProcess.emit (events.js:400:28)

Leave a Reply

Your email address will not be published.